<template>
  <!-- 修改车皮装车实绩 -->
  <div class="contractDetails">
    <page-title>返回</page-title>
      <div class="form">
        <div class="form_box">
          <dil-form :formId="118" v-model="form1"></dil-form>
        </div>
      </div>
    <div class="button_box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
import { sjTime,isNumber } from "@/utils/sharedJsFile";
export default {
  components: { PageTitle },
 data(){
     return {
      form1: {},
  }
 },

  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑车皮装车作业
      this.axios
        .post("/api/v1/tms/getTmstrainWagonUnLoadResultByUnLoadingId/" + this.$route.params.unloadingId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.aaaa = row;
    },
    //确定
    onClickConfirm() {
      let tmstrainWagonUnloadResult = {
        unloadingId: this.$route.params.unloadingId,
        resultWagonNo: this.form1.resultWagonNo,
        resultArrivalDate: sjTime(this.form1.resultArrivalDate),
        resultUnloadTime: sjTime(this.form1.resultUnloadTime),
        unloadingPointId: this.form1.unloadingPointId,
        resultBigTicketWeight: this.form1.resultBigTicketWeight,
        resultRailHorizontalWeight: this.form1.resultRailHorizontalWeight,
        resultRemark: this.form1.resultRemark
      };
      if (tmstrainWagonUnloadResult.resultWagonNo==null
      ||tmstrainWagonUnloadResult.resultArrivalDate==null
      ) this.$message.error("存在空值！");
      else
      this.axios
        .post(
          "/api/v1/tms/upadteTmstrainWagonUnLoadResultByUnLoadingId",
          tmstrainWagonUnloadResult
        )
       .then(() => {
          this.$message({
            type: "success",  
            message: "修改成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss" scoped>
.contractDetails {
  color: #606266;
  font-size: 0.675rem;
  font-weight: 500;
  .form {
    display: flex;
    .form_box {
      width: 340px;
      margin-left: 37%;
      margin-right: 20px;
      .el-form {
        .preview-group {
          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content {
              .el-select {
                width: 250px;
              }
              .el-input {
                width: 250px;
              }
              .el-textarea {
                .el-textarea__inner {
                  width: 220px;
                  margin-top: 0.03rem;
                }
              }
            }
          }
        }
      }
    }
  }
  .button_box {
    display: flex;
    justify-content: center;
    padding-top: 30px;
    margin-left: 3.5%;
  }
}
</style>